# listMyConnectionHabitSelections

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://cxi-api-prod-weu-interim-eraffmdbdmdmbdfz.a01.azurefd.net/v1/me/connection-habit-selections |

| Field | Value |
|---|---|
| operationId | listMyConnectionHabitSelections |
| method | GET |
| server | https://cxi-api-prod-weu-interim-eraffmdbdmdmbdfz.a01.azurefd.net/v1 |
| path | /me/connection-habit-selections |
| tags | `My Connection` |
| summary | List the caller's selected connection habits |
| badges | `{"name":"Owner"}`, `{"name":"Admin"}`, `{"name":"Viewer"}` |

## Request Parameters

None.

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Every suggestion the caller has adopted, oldest first | #/components/schemas/ConnectionHabitSelectionListDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
